MD_MAX72xx_lib.h File Reference

Includes library definitions. More...

This graph shows which files directly or indirectly include this file:

## Macros

#define | MAX_DEBUG 0
| Enable or disable (default) debugging output from the MD_MAX72xx library.
#define | PRINT(s, v)
| Print a string followed by a value (decimal)
#define | PRINTX(s, v)
| Print a string followed by a value (hex)
#define | PRINTB(s, v)
| Print a string followed by a value (binary)
#define | PRINTS(s)
| Print a string.
#define | OP_NOOP 0
| MAX72xx opcode for NO OP.
#define | OP_DIGIT0 1
| MAX72xx opcode for DIGIT0.
#define | OP_DIGIT1 2
| MAX72xx opcode for DIGIT1.
#define | OP_DIGIT2 3
| MAX72xx opcode for DIGIT2.
#define | OP_DIGIT3 4
| MAX72xx opcode for DIGIT3.
#define | OP_DIGIT4 5
| MAX72xx opcode for DIGIT4.
#define | OP_DIGIT5 6
| MAX72xx opcode for DIGIT5.
#define | OP_DIGIT6 7
| MAX72xx opcode for DIGIT6.
#define | OP_DIGIT7 8
| MAX72xx opcode for DIGIT7.
#define | OP_DECODEMODE 9
| MAX72xx opcode for DECODE MODE.
#define | OP_INTENSITY 10
| MAX72xx opcode for SET INTENSITY.
#define | OP_SCANLIMIT 11
| MAX72xx opcode for SCAN LIMIT.
#define | OP_SHUTDOWN 12
| MAX72xx opcode for SHUT DOWN.
#define | OP_DISPLAYTEST 15
| MAX72xx opcode for DISPLAY TEST.
#define | ALL_CHANGED 0xff
| Mask for all rows changed in a buffer structure.
#define | ALL_CLEAR 0x00
| Mask for all rows clear in a buffer structure.
#define | FONT_FILE_INDICATOR 'F'
| Font table indicator prefix for info header.
#define | SPI_DATA_SIZE (sizeof(uint8_t)*_maxDevices*2)
| Size of the SPI data buffers.
#define | SPI_OFFSET(i, x) (((LAST_BUFFER-(i))*2)+(x))
| SPI data offset for buffer i, digit x.
#define | FIRST_BUFFER 0
| First buffer number.
#define | LAST_BUFFER (_maxDevices-1)
| Last buffer number.
#define | HW_ROW(r) (_hwRevRows ? (ROW_SIZE - 1 - (r)) : (r))
| Pixel to hardware coordinate row mapping.
#define | HW_COL(c) (_hwRevCols ? (COL_SIZE - 1 - (c)) : (c))
| Pixel to hardware coordinate column mapping.

## Variables

const uint8_t PROGMEM | _sysfont_var []
| System variable pitch font table.

## Detailed Description

Includes library definitions.